MenuIcon

Owl-Networks Archive

LoginIcon

[Perl/Wx] Strawberry Perl 5.32.1 에서 Wx (WxPerl) 를 설치할 수 없는 경우

| 분류: Perl | 최초 작성: 2022-11-16 22:21:24 |


1. cpan 으로 Wx 최신 버전 설치 시, 우선 Alien::wxWidgets 이 설치되어야 한다.

2. 1번 설치 이후 cpan Wx 으로 설치를 시도해도 오류가 발생할 수 있다. 이 경우, Wx 코드를 다운로드 받은 후 압축을 풀고, cpp/wxapi.h 파일을 열어 다음의 내용을 추가한다.

#undef calloc

* #undef 어쩌고 하는 내용이 주루룩 있는 부분이 있는데, 그 제일 끝에 추가한다.

그리고 다음의 절차를 진행한다.

perl makefile.pl
gmake
gmake test
gmake install

☞ 태그:

☞ 트랙백 접수 모듈이 설치되지 않았습니다.

☞ 덧글이 없고, 트랙백이 없습니다.

덧글을 남기시려면 여기를 클릭하십시오.
[489] ... [488] [487] [483] [477] [476] > [19]

(C) 2000-2022, Owl-Networks. Powered by Perl. 이 페이지는 HTML 5 표준에 따라 작성되었습니다.